# python-gluster does not have python3 support yet
#%%global with_python3 1                                                                                                                                                                                                

Name:		gluster-zeroconf
Version:	0.1.3
Release:	2%{?dist}
%global sum	Automatic discovery for Gluster Storage servers
Summary:	%{sum}

License:	LGPLv3
URL:		https://github.com/gluster/gluster-zeroconf
Source0:	https://github.com/gluster/gluster-zeroconf/archive/v%{version}.tar.gz
Patch0:         0001-explicitly-import-subprocess.patch 

BuildArch:	noarch
BuildRequires:	python2-devel, python-gluster, python-setuptools
%if 0%{?with_python3}
BuildRequires:	python3-devel, python3-gluster
%endif

%description
gluster-zeroconf is project that provides an autodiscovery mechanism for
Gluster Storage Servers. It uses Avahi to register a GlusterD service, and
provides `gluster-discovery` that can be used to display the storage servers
that announce themselves.

%package -n    python-%{name}
Summary:        %{sum}
%{?python_provide:%python_provide python-%{name}}
Requires:	glusterfs-cli
Requires:	python-zeroconf, python-xmltodict, python-gluster, avahi

%description -n python-%{name}
gluster-zeroconf is project that provides an autodiscovery mechanism for
Gluster Storage Servers. It uses Avahi to register a GlusterD service, and
provides `gluster-discovery` that can be used to display the storage servers
that announce themselves.

This package provides `gluster-discovery` and the Python libraries to discover
storage servers.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{name}}
Requires:	glusterfs-cli
Requires:	python3-zeroconf, python3-xmltodict, python3-gluster

%description -n python3-%{name}
gluster-zeroconf is project that provides an autodiscovery mechanism for
Gluster Storage Servers. It uses Avahi to register a GlusterD service, and
provides `gluster-discovery` that can be used to display the storage servers
that announce themselves.

This package provides the Python libraries to discover storage servers.
%endif


%package -n %{name}-avahi
Summary:	%{sum}
Requires:	glusterfs-server
Requires:	avahi

%description -n %{name}-avahi
gluster-zeroconf is project that provides an autodiscovery mechanism for
Gluster Storage Servers. It uses Avahi to register a GlusterD service, and
provides `gluster-discovery` that can be used to display the storage servers
that announce themselves.

This package provides the configuration for Avahi, and makes the system
discoverable.


%prep
%setup -q
%patch0 -p1 -b .0001-explicitly-import-subprocess.patch

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%files -n python-%{name}
%license COPYING COPYING.LESSER
%doc README.md
%{python2_sitelib}/*
%if ! 0%{?with_python3}
%{_bindir}/gluster-discovery
%endif


%if 0%{?with_python3}
%files -n python3-%{name}
%license COPYING COPYING.LESSER
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/gluster-discovery
%endif


%files -n %{name}-avahi
# dropping the file in the avahi/services directory activates it immediately
/etc/avahi/services/glusterd.service


%changelog
* Mon Mar 05 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 0.1.3-2
- Resolves: #1550922 - traceback message errors being thrown on 
                       stdout while running colonizer deployment 


* Tue Feb 27 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 0.1.3-1
- Updated to upstream 0.1.3
- Resolves: #1530972 - gluster-zeroconf: security-audit - bad/unsafe 
                       API usage


* Mon Feb 19 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 0.1.2-1
- Updated to upstream 0.1.2
- Resolves: #1546665 - Parsing of peers for differing data structures
                       from XML output from RHSOne Nodes

* Fri Feb 16 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 0.1.1-1
- Spec files fix incorporated point to gluster upstream
- new-sources v0.1.1
- Resolves: #1498475 -  [RFE]Request to add gluster-zeroconf as a dependency
                        for the RHS ONE colonizer tool to the main gluster
                        release

* Thu Feb 8 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 0.1.0-3
- Adding avahi as required to the package
- Resolves: #1543534 -  [RFE] Request to add avahi as a dependency for
                        the RHS ONE colonizer tool to the main gluster
                        release 


* Tue Nov 7 2017 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 0.1.0-2
- updated to upstream 0.1.0 release 
- Resolves: #1498475 - 	[RFE]Request to add gluster-zeroconf as a dependency 
                        for the RHS ONE colonizer tool to the main gluster 
                        release 

* Fri Aug 25 2017 Niels de Vos <ndevos@redhat.com> - 0.1.0-1
- Initial packaging
